Subject: Re: [PATCH 0/2] git-am: add --message-id/--no-message-id options

From: Junio C Hamano <[email-masked]>
Date: Tue, 25 Nov 2014 10:33:46 -0800

Paolo Bonzini <[email-masked]> writes:

> From: Paolo Bonzini <[email-masked]>
>
> This series adds a --message-id option to git-mailinfo and git-am.
> git-am also gets an am.messageid configuration key to set the default,
> and a --no-message-id option to override the configuration key.
> (I'm not sure of the usefulness of a mailinfo.messageid option, so
> I left it out; this follows the example of -k instead of --scissors).
>
> This option can be useful in order to associate commit messages with
> mailing list discussions.
>
> If both --message-id and -s are specified, the Signed-off-by goes
> last.  This is coming out more or less naturally out of the git-am
> implementation, but is also tested in t4150-am.sh.

Nice.  So if you apply a message whose last sign-off is yourself
with both of these options, what would we see?

    1. S-o-b: you and then M-id: and then another S-o-b: you?
    2. M-id: and then S-o-b: you?
    3. S-o-b: you and then M-id:?

I do not offhand know which one of the above possibilities to favor
more over others myself.  Just asking to find out more about the
thinking behind the design.

Thanks.

>
> Paolo Bonzini (2):
>   git-mailinfo: add --message-id
>   git-am: add --message-id/--no-message-id
>
>  Documentation/git-am.txt       | 11 +++++++++++
>  Documentation/git-mailinfo.txt |  5 +++++
>  builtin/mailinfo.c             | 22 +++++++++++++++++++++-
>  git-am.sh                      | 21 +++++++++++++++++++--
>  t/t4150-am.sh                  | 23 +++++++++++++++++++++++
>  t/t5100-mailinfo.sh            |  4 ++++
>  t/t5100/info0012--message-id   |  5 +++++
>  t/t5100/msg0012--message-id    |  8 ++++++++
>  t/t5100/patch0012--message-id  | 30 ++++++++++++++++++++++++++++++
>  9 files changed, 126 insertions(+), 3 deletions(-)
>  create mode 100644 t/t5100/info0012--message-id
>  create mode 100644 t/t5100/msg0012--message-id
>  create mode 100644 t/t5100/patch0012--message-id